JSON for Modern C++ 3.7.3

Namespaces | Classes | Typedefs | Functions
nlohmann Namespace Reference

namespace for Niels Lohmann More...

## Namespaces
| anonymous_namespace{json.hpp}
| namespace to hold default `to_json` function

## Classes
struct | adl_serializer
| default JSONSerializer template argument More...
class | basic_json
| a class to store JSON values More...
class | byte_container_with_subtype
| an internal type for a backed binary type More...
class | json_pointer
| JSON Pointer. More...
struct | json_sax
| SAX interface. More...

## Typedefs
using | json = basic_json<>
| default JSON class More...

## Functions
NLOHMANN_BASIC_JSON_TPL_DECLARATION std::string | to_string (const NLOHMANN_BASIC_JSON_TPL &j)
| user-defined to_string function for JSON values More...

## Detailed Description

See also
  https://github.com/nlohmann

Since
  version 1.0.0